This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 16238 - Upgrade of kernel-headers is broken.
Upgrade of kernel-headers is broken.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-15 10:30 EDT by Kenneth Topp
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 10:30:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kenneth Topp 2000-08-15 10:30:21 EDT
This is an .spec or a document solution, as you cannot rpm -Uvh
kernel-headers from symlink style to the current way in .21.rpm.

The .21.rpm installs following the symlinks in /usr/include, and you get
the following output errors (as well as the error of the files all over the
place)
---
cannot remove /usr/src/linux-2.4.0/include/linux - directory not empty
cannot remove /usr/src/linux-2.4.0/include/asm-i386 - directory not empty
cannot remove /usr/src/linux-2.4.0 - directory not empty
---
I used kernel-headers-2.4.0-0.16.i386.rpm ->
kernel-headers-2.4.0-0.21.i386.rpm to see this, but I'm sure it's valid in
other upgrade situations.

I don't how rpm upgrades operate, but shouldn't rpm's dirs that were
symlinks in older rpms, have in the pre-install:

[ -L /usr/include/asm ] && rm -f /usr/include/asm 
[ -L /usr/include/linux ] && rm -f /usr/include/linux
Comment 1 Michael K. Johnson 2000-08-16 14:57:20 EDT
Fixed in our current internal source tree, thanks!

Note You need to log in before you can comment on or make changes to this bug.